Categories:
  - Multimedia
License: AGPL-3.0-or-later
WebSite: https://podverse.fm
SourceCode: https://github.com/podverse/podverse-fdroid
IssueTracker: https://github.com/podverse/podverse-fdroid/issues

AutoName: Podverse

RepoType: git
Repo: https://github.com/podverse/podverse-fdroid

Builds:
  - versionName: 3.0.6
    versionCode: 6
    commit: 3.0.6
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y -t stretch-backports npm
    init:
      - npm install
      - npm install --save-dev jetifier
      - npm run jetify
    gradle:
      - yes
    rm:
      - node_modules/bplist-parser
      - node_modules/hermes-engine
      - node_modules/jetifier/lib/*.jar
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/react-native/template
      - functions
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/linkifyjs/dist/linkifyjs.zip
      - node_modules/npm/node_modules/term-size/vendor
      - node_modules/react-native/android
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-secure-key-store/example/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle

  - versionName: 3.0.7
    versionCode: 7
    commit: 3.0.7
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y -t stretch-backports npm
    init:
      - npm install
      - npm install --save-dev jetifier
      - npm run jetify
    gradle:
      - yes
    rm:
      - node_modules/bplist-parser
      - node_modules/hermes-engine
      - node_modules/jetifier/lib/*.jar
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/react-native/template
      - functions
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/linkifyjs/dist/linkifyjs.zip
      - node_modules/npm/node_modules/term-size/vendor
      - node_modules/react-native/android
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-secure-key-store/example/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle

  - versionName: 3.0.8
    versionCode: 8
    commit: 3.0.8
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y -t stretch-backports npm
    init:
      - npm install
      - npm install --save-dev jetifier
      - npm run jetify
    gradle:
      - yes
    rm:
      - node_modules/@react-native-community/cli-platform-android/node_modules/jetifier/lib
      - node_modules/bplist-parser
      - node_modules/hermes-engine
      - node_modules/jetifier/lib/*.jar
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/react-native/template
      - functions
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/linkifyjs/dist/linkifyjs.zip
      - node_modules/npm/node_modules/term-size/vendor
      - node_modules/react-native/android
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-secure-key-store/example/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle

  - versionName: 3.1.0
    versionCode: 9
    commit: 3.1.0
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y -t stretch-backports npm
    init:
      - npm install
      - npm install --save-dev jetifier
      - npm run jetify
    gradle:
      - yes
    rm:
      - node_modules/@react-native-community/cli-platform-android/node_modules/jetifier/lib
      - node_modules/bplist-parser
      - node_modules/hermes-engine
      - node_modules/jetifier/lib/*.jar
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/react-native/template
      - functions
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/linkifyjs/dist/linkifyjs.zip
      - node_modules/npm/node_modules/term-size/vendor
      - node_modules/react-native/android
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-secure-key-store/example/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle

  - versionName: 3.1.2
    versionCode: 10
    commit: 3.1.2
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y -t stretch-backports npm
    init:
      - npm install
      - npm install --save-dev jetifier
      - npm run jetify
    gradle:
      - yes
    rm:
      - node_modules/@react-native-community/cli-platform-android/node_modules/jetifier/lib
      - node_modules/bplist-parser
      - node_modules/hermes-engine
      - node_modules/jetifier/lib/*.jar
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/react-native/template
      - functions
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/linkifyjs/dist/linkifyjs.zip
      - node_modules/npm/node_modules/term-size/vendor
      - node_modules/react-native/android
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-secure-key-store/example/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle

  - versionName: 3.1.3
    versionCode: 11
    commit: 3.1.3
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y -t stretch-backports npm
    init:
      - npm install
      - npm install --save-dev jetifier
      - npm run jetify
    gradle:
      - yes
    rm:
      - node_modules/@react-native-community/cli-platform-android/node_modules/jetifier/lib
      - node_modules/bplist-parser
      - node_modules/hermes-engine
      - node_modules/jetifier/lib/*.jar
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/react-native/template
      - functions
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/linkifyjs/dist/linkifyjs.zip
      - node_modules/npm/node_modules/term-size/vendor
      - node_modules/react-native/android
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-secure-key-store/example/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle

  - versionName: 3.1.4
    versionCode: 12
    commit: 3.1.4
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y -t stretch-backports npm
    init:
      - npm install
      - npm install --save-dev jetifier
      - npm run jetify
    gradle:
      - yes
    rm:
      - node_modules/@react-native-community/cli-platform-android/node_modules/jetifier/lib
      - node_modules/bplist-parser
      - node_modules/hermes-engine
      - node_modules/jetifier/lib/*.jar
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/react-native/template
      - functions
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/linkifyjs/dist/linkifyjs.zip
      - node_modules/npm/node_modules/term-size/vendor
      - node_modules/react-native/android
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-secure-key-store/example/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle

  - versionName: 3.1.5
    versionCode: 13
    commit: 3.1.5
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y -t stretch-backports npm
    init:
      - npm install
      - npm install --save-dev jetifier
      - npm run jetify
    gradle:
      - yes
    rm:
      - node_modules/@react-native-community/cli-platform-android/node_modules/jetifier/lib
      - node_modules/bplist-parser
      - node_modules/hermes-engine
      - node_modules/jetifier/lib/*.jar
      - node_modules/npm/node_modules/term-size/vendor
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/react-native/template
      - functions
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/linkifyjs/dist/linkifyjs.zip
      - node_modules/react-native/android
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-secure-key-store/example/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle

  - versionName: 3.1.10
    versionCode: 14
    commit: 3.1.10
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y -t stretch-backports npm
    init:
      - npm install
      - npm install --save-dev jetifier
      - npm run jetify
    gradle:
      - yes
    rm:
      - node_modules/@react-native-community/cli-platform-android/node_modules/jetifier/lib
      - node_modules/bplist-parser
      - node_modules/hermes-engine
      - node_modules/jetifier/lib/*.jar
      - node_modules/npm/node_modules/term-size/vendor
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/react-native/template
      - functions
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/linkifyjs/dist/linkifyjs.zip
      - node_modules/react-native/android
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-secure-key-store/example/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle

  - versionName: 3.1.11
    versionCode: 15
    commit: 3.1.11
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y -t stretch-backports npm
    init:
      - npm install
      - npm install --save-dev jetifier
      - npm run jetify
    gradle:
      - yes
    rm:
      - node_modules/@react-native-community/cli-platform-android/node_modules/jetifier/lib
      - node_modules/bplist-parser
      - node_modules/hermes-engine
      - node_modules/jetifier/lib/*.jar
      - node_modules/npm/node_modules/term-size/vendor
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/react-native/template
      - functions
    scanignore:
      - android/build.gradle
      - node_modules/jsc-android
      - node_modules/linkifyjs/dist/linkifyjs.zip
      - node_modules/react-native/android
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-secure-key-store/example/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle

  - versionName: 3.3.0
    versionCode: 16
    commit: 3.3.0
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - node_modules/@react-native-community/cli-platform-android/node_modules/jetifier/lib
      - node_modules/bplist-parser
      - node_modules/jetifier/lib/*.jar
      - node_modules/npm/node_modules/term-size/vendor
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/react-native/template
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/linkifyjs/dist/linkifyjs.zip
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-orientation-locker/example/android/
      - node_modules/react-native-reanimated/android
      - node_modules/react-native-reanimated/libSo
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-secure-key-store/example/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-track-player/android/build/kotlin/compileDebugKotlin
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/shaka-player/third_party/closure/compiler.jar
      - node_modules/term-size
      - node_modules/@react-native-community/async-storage
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
    ndk: r23

  - versionName: 4.0.0
    versionCode: 20
    commit: 4.0.0
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - node_modules/@react-native-community/cli-platform-android/node_modules/jetifier/lib
      - node_modules/bplist-parser
      - node_modules/jetifier/lib/*.jar
      - node_modules/npm/node_modules/term-size/vendor
      - node_modules/react-native/ReactAndroid/src/main/third-party/java/buck-android-support/buck-android-support.jar
      - node_modules/react-native/template
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/linkifyjs/dist/linkifyjs.zip
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-orientation-locker/example/android/
      - node_modules/react-native-reanimated/android
      - node_modules/react-native-reanimated/libSo
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-secure-key-store/example/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-track-player/android/build/kotlin/compileDebugKotlin
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/shaka-player/third_party/closure/compiler.jar
      - node_modules/term-size
      - node_modules/@react-native-community/async-storage
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
    ndk: r23b

  - versionName: 4.2.1
    versionCode: 21
    commit: 4.2.1
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/linkifyjs/dist/linkifyjs.zip
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-orientation-locker/example/android/
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-secure-key-store/example/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
      - pushd $$react-native-reanimated$$
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-jsc.aar
    ndk: r23b

  - versionName: 4.2.4
    versionCode: 22
    commit: 01feb1044c66353bfff75fc9220de588064df1b2
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
      - pushd $$react-native-reanimated$$
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-jsc.aar
    ndk: r23b

  - versionName: 4.2.7
    versionCode: 23
    commit: dc525cc8d79b56abc0d33de81c12b9200f90b622
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
      - pushd $$react-native-reanimated$$
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-jsc.aar
    ndk: r23b

  - versionName: 4.2.8
    versionCode: 24
    commit: a318ceee4b07720eea5265f5988a085d76913a2a
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
      - pushd $$react-native-reanimated$$
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-jsc.aar
    ndk: r23b

  - versionName: 4.3.0
    versionCode: 25
    commit: 9b91b3312795e55981f2d516fb32fe8dc5a9201f
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
      - pushd $$react-native-reanimated$$
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-jsc.aar
    ndk: r23b

  - versionName: 4.3.1
    versionCode: 26
    commit: 022568da9393e708eb7664dd955e89dd9d7f2cd7
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-fast-image/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
      - pushd $$react-native-reanimated$$
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-jsc.aar
    ndk: r23b

  - versionName: 4.3.2
    versionCode: 27
    commit: 95252e07bdecd4ef4f2433276836139db129fdc5
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
      - pushd $$react-native-reanimated$$
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-jsc.aar
    ndk: r23b

  - versionName: 4.3.3
    versionCode: 28
    commit: 90f3c6a8a2f90077eaf8d2228877aea31cdd8d20
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
      - pushd $$react-native-reanimated$$
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-jsc.aar
    ndk: r23b

  - versionName: 4.3.4
    versionCode: 29
    commit: 2f6885dba3ae33f35e637eeb8152f897f8f595a3
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
      - pushd $$react-native-reanimated$$
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-jsc.aar
    ndk: r23b

  - versionName: 4.3.5
    versionCode: 30
    commit: a315e8fd3c96bda3695995ce792564d2b3d4aa0d
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
      - pushd $$react-native-reanimated$$
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-jsc.aar
    ndk: r23b

  - versionName: 4.4.0
    versionCode: 31
    commit: 5bbb9ad778ff34516978a6bd9857d9511a9bef15
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
      - pushd $$react-native-reanimated$$
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-jsc.aar
    ndk: r23b

  - versionName: 4.4.1
    versionCode: 32
    commit: d966d403e223ad212de9878446f00cc1efe22992
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
      - pushd $$react-native-reanimated$$
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-jsc.aar
    ndk: r23b

  - versionName: 4.4.2
    versionCode: 33
    commit: 3eb248912ae0d000ea625ae2eb5c943b2c6d06d9
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.6-linux-x64/. /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    srclibs:
      - react-native-reanimated@2.2.3
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
      - cd $$react-native-reanimated$$
      - yarn install
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    build:
      - pushd $$react-native-reanimated$$
      - FOR_HERMES=True gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-hermes.aar
      - pushd $$react-native-reanimated$$
      - gradle :assembleRelease
      - popd
      - mv $$react-native-reanimated$$/build/outputs/aar/android-release.aar ../../node_modules/react-native-reanimated/android/react-native-reanimated-66-jsc.aar
    ndk: r23b

  - versionName: 4.5.4
    versionCode: 34
    commit: 4.5.4
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23b

  - versionName: 4.5.5
    versionCode: 35
    commit: c7f892ab77f337b00738d9af5eaa1c9977b17838
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.5.8
    versionCode: 36
    commit: 757225c812ce6e1c38c3e3c0c87e9da455071855
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.5.9
    versionCode: 37
    commit: 3d3ac49d2333dc69c3b1dc7c3d94470bc6eabef0
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.5.10
    versionCode: 38
    commit: 92c11e0c35e1cd8cc7b9fe2234e4020c37e95b25
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.5.11
    versionCode: 39
    commit: 52850dbdaa18c2feac9bcdea745720b7cccfd16e
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.5.13
    versionCode: 41
    commit: 6dc441cbff332bf46edd575c02b46f94784e6379
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.5.14
    versionCode: 42
    commit: 4fcd89f995f7ba9c3f54a158a835f758df05b0a0
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.5.15
    versionCode: 43
    commit: a18974d8bbad23f42a79e6fd74ffd98a68856a0f
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.5.16
    versionCode: 44
    commit: 65c881598e46d2cab1f5f0959cbc09edc0a6937f
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.5.17
    versionCode: 45
    commit: a0eda19433bbe60ab2baa7365cc72143e1915c21
    subdir: android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.6.0
    versionCode: 46
    commit: fd459da37bcbbc4bad98927d3aa81ebb32b319ca
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-file-access/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.6.2
    versionCode: 48
    commit: dc008f2e32fdc767a7815930c376478993123348
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-file-access/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.6.3
    versionCode: 49
    commit: 4d50a4ecc440ca94052831492c0ea1ec05f24a10
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-file-access/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.6.5
    versionCode: 51
    commit: e2134e5ab50a32574eee194b8972c8a8b233e64b
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-file-access/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.6.6
    versionCode: 52
    commit: 8b56ff5603f805cd683cf32b0fe7c2c732a5efb3
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-file-access/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.6.7
    versionCode: 53
    commit: 7044a61689e71a220e14c848ab4a503edc001a86
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-file-access/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.6.8
    versionCode: 54
    commit: 9c2ba2c9215b4a008d33dd1403c2743301b1c367
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-file-access/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.6.9
    versionCode: 55
    commit: dbec50a864b1f87cd8ecf5507b499b4224f71b09
    subdir: android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm -g install yarn
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-file-access/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

  - versionName: 4.6.10
    versionCode: 56
    commit: 2707689773358ca0051697d4f3269eccc327c20d
    subdir: android/app
    sudo:
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.18.0/node-v16.18.0-linux-x64.tar.gz
      - echo "faca6476cb5b41aa995370fd856d16fcfbbef5c18718a6fa44cc1bae4140849d node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g yarn
      - sysctl fs.inotify.max_user_watches=524288 || true
    init:
      - yarn install
      - yarn add jetifier --dev
      - yarn jetify
    gradle:
      - yes
    rm:
      - functions
    prebuild:
      - echo -e '\norg.gradle.jvmargs=-Xmx4g -XX:MaxPermSize=4g' >> ../gradle.properties
      - echo -e "android { packagingOptions { pickFirst 'lib/**/*.so' } }" >> build.gradle
    scanignore:
      - android/build.gradle
      - node_modules/hermes-engine
      - node_modules/jsc-android
      - node_modules/react-native/android
      - node_modules/react-native/ReactAndroid/build.gradle
      - node_modules/react-native-document-picker/android/build.gradle
      - node_modules/react-native-file-access/android/build.gradle
      - node_modules/react-native-localize/android/build.gradle
      - node_modules/react-native-reanimated/android/build.gradle
      - node_modules/react-native-safe-area-context/android/build.gradle
      - node_modules/react-native-screens/android/build.gradle
      - node_modules/react-native-share/android/build.gradle
      - node_modules/react-native-svg/android/build.gradle
      - node_modules/react-native-track-player/android/build.gradle
      - node_modules/react-native-vector-icons/android/build.gradle
      - node_modules/react-native-webview/android/build.gradle
      - node_modules/@react-native-community/async-storage/android/build.gradle
      - node_modules/@react-native-community/masked-view/android/build.gradle
      - node_modules/@react-native-community/netinfo/android/build.gradle
    scandelete:
      - node_modules
    ndk: r23c

AutoUpdateMode: Version
UpdateCheckMode: Tags ^[0-9.]+$
UpdateCheckData: android/app/build.gradle|versionCode\s(\d+)|.|versionName\s"(.+)"
CurrentVersion: 4.6.10
CurrentVersionCode: 56
